### Virtual Method

# Gimp Procedure run

#### Declaration [src]

    GimpValueArray*
    run (
      GimpProcedure* procedure,
      const GimpValueArray* args
    )

#### Description [src]

Called when the procedure is executed via gimp_procedure_run(). the default implementation simply calls the procedure’s `GimpRunFunc`, `GimpProcedure` subclasses are free to modify the passed `args` and call their own, subclass-specific run functions.

#### Parameters

`args`

  Type: `GimpValueArray`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `GimpValueArray`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.